"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-tabs",
  props: ["current", "list"],
  emits: ["onChange"],
  setup(__props, { emit }) {
    const props = __props;
    const handleClick = (idx, e) => {
      emit("onChange", idx, e);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props == null ? void 0 : props.list, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: common_vendor.n(`label ${index === (props == null ? void 0 : props.current) ? "actives" : ""}`),
            c: `item_${index}`,
            d: common_vendor.o(($event) => handleClick(index, i), `item_${index}`)
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-tabs/hs-tabs.vue"]]);
wx.createComponent(Component);
